<%= form_with model: @blog_message, local: true do |form| %>

    <% if @blog_message.errors.any? %>
        <strong class="bg-danger">WARNING</strong>
        <ul>
            <% @blog_message.errors.full_messages.each do |message| %>
                <li class="text-danger"><%= message %></li>
            <% end %>
        </ul>
    <% end %>

    <!-- Titre -->
    <p>
        <%= form.label I18n.t("blog_messages.new.title") %>*<br>
        <%= form.text_field :title %>
    </p>

    <!-- Description -->
    <p>
        <%= form.label I18n.t("blog_message.new.description") %>*<br>
        <%= form.text_area :description, cols: 80, rows: 5%>
    </p>

    <!-- Category -->
    <p>
        <%= form.label I18n.t("blog_messages.new.category") %>*
        <%= form.select(:blog_category_id) do %>
            <%= select_option_tag("", nil, @blog_message.blog_category_id) %>
            <% @categories.each do |l| %>
                <%= select_option_tag(l.nom.capitalize, l.id, @blog_message.blog_category_id) %>
            <% end %>
        <% end %>
    </p>

    <!-- Date -->
    <% if (@blog_message.date == nil || @blog_message.date == '') %>
        <% @blog_message.date = Date.today %>
    <% end %>
    <p>
        <%= form.label I18n.t("blog_messages.new.date") %>* 
        <%= form.date_field :date %>
    </p>

    <!-- Utilisateur -->
    <% if @blog_message.utilisateur_id == nil %>
        <% @blog_message.utilisateur_id = current_user.utilisateur.id %>
    <% end %>
    <p>
        <%= form.label I18n.t("blog_messages.new.user") %> : <%= @blog_utilisateurs[@blog_message.utilisateur_id] %><br>
        <%= form.hidden_field :utilisateur_id %>
    </p>

    <table>
    <tr>
    <td>
        <p><strong><%= I18n.t("blog_message.new.optional_fields") %> : </strong></p>
    </td>
    <td>&nbsp;&nbsp;&nbsp;</td>
    <td>
        <!-- Service -->
        <p>
            <%= form.label I18n.t("blog_messages.new.service") %>
            <%= form.select(:service_id) do %>
                <%= select_option_tag("", nil, @blog_message.service_id) %>
                <% @blog_services.keys.each do |l| %>
                    <%= select_option_tag(@blog_services[l].capitalize, l, @blog_message.service_id) %>
                <% end %>
            <% end %>
        </p>
    </td>
    <td>&nbsp;&nbsp;&nbsp;</td>
    <td>
        <!-- Classe -->
        <p>
            <%= form.label I18n.t("blog_messages.new.classe") %>
            <%= form.select(:classe) do %>
                <%= select_option_tag("", nil, @blog_message.classe) %>
                <% @blog_classes.keys.each do |l| %>
                    <%= select_option_tag(@blog_classes[l].capitalize, l, @blog_message.classe) %>
                <% end %>
            <% end %>
        </p>
    </td>
    <td>&nbsp;&nbsp;&nbsp;</td>
    <td>
        <!-- Groupe -->
        <p>
            <%= form.label I18n.t("blog_messages.new.groupe") %>
            <%= form.select(:groupe) do %>
                <%= select_option_tag("", nil, @blog_message.groupe) %>
                <% @blog_groupes.keys.each do |l| %>
                    <%= select_option_tag(@blog_groupes[l].capitalize, l, @blog_message.groupe) %>
                <% end %>
            <% end %>
        </p>
    </td>
    <td>&nbsp;&nbsp;&nbsp;</td>
    <td>&nbsp;&nbsp;&nbsp;</td>
    </tr>
    </table>

    <hr/>


    <!-- LOGBOOK & REVIEWED -->
    <table>
    <tr>
    <td>
        <h6>
            <span class="label label-danger  material-icons">local_library</span>
        </h6>
    </td>
    <td>
        <h6>
            <%= form.label I18n.t("blog_messages.new.logbook") %>
            <%= form.check_box :logbook %>
        </h6>
    </td>
    <td>
        <% if @blog_message.logbook %>
            <% unless current_user.utilisateur.id == @blog_message.utilisateur_id %>
                <% if user_signed_in? && (is_super_admin? || is_manager?) %>
                    <br><%= form.label I18n.t("blog_messages.new.reviewed") %>
                    <%= form.check_box :reviewed %>
                <% end %>
            <% end %>
        <% end %>
    </td>
    <td>
        <% if @blog_message.reviewed %>
            <% unless current_user.utilisateur.id == @blog_message.utilisateur_id %>
                <% if user_signed_in? && (is_super_admin? || is_manager?) %>
                    
                    <%= form.select(:reviewcat) do %>
                        <%= select_option_tag("", nil, @blog_message.reviewcat) %>
                        <% @blog_reviewcats.keys.each do |l| %>
                            <%= select_option_tag(@blog_reviewcats[l].capitalize, l, @blog_message.reviewcat) %>
                    <% end %>
                <% end %>

                <% end %>
            <% end %>
        <% end %>
    </td>
    </tr>
    </table>

    <hr />
    <!-- Submit -->
    <p>
        <%= form.submit class: "btn btn-primary" %>
    </p>
<% end %>